diff --git a/fc-solve/source/instance.h b/fc-solve/source/instance.h
index b144c2523..ef2ce7232 100644
--- a/fc-solve/source/instance.h
+++ b/fc-solve/source/instance.h
@@ -681,105 +685,105 @@ struct fc_solve_instance_struct
 #endif
 #endif
 
-    // The master moves' order. It is used to initialize all the new
-    // Soft-Threads.
-    fcs_moves_order instance_moves_order;
+        // The master moves' order. It is used to initialize all the new
+        // Soft-Threads.
+        fcs_moves_order instance_moves_order;
 
-    /*
-     * A counter that determines how many of the hard threads that belong
-     * to this hard thread have already finished. If it becomes
-     * num_hard_threads the instance terminates.
-     * */
-    int num_hard_threads_finished;
+        /*
+         * A counter that determines how many of the hard threads that belong
+         * to this hard thread have already finished. If it becomes
+         * num_hard_threads the instance terminates.
+         * */
+        int num_hard_threads_finished;
 
 #ifdef FCS_WITH_MOVES
-    // The moves for the optimization scan, as specified by the user.
-    fcs_moves_order opt_moves;
+        // The moves for the optimization scan, as specified by the user.
+        fcs_moves_order opt_moves;
 #endif
 
 #ifdef FCS_RCS_STATES
-    fcs_lru_cache_t rcs_states_cache;
+        fcs_lru_cache_t rcs_states_cache;
 
 #if ((FCS_STATE_STORAGE == FCS_STATE_STORAGE_LIBAVL2_TREE) ||                  \
      (FCS_STATE_STORAGE == FCS_STATE_STORAGE_KAZ_TREE))
-    fcs_state_t *tree_new_state_key;
-    fcs_collectible_state_t *tree_new_state;
+        fcs_state_t *tree_new_state_key;
+        fcs_collectible_state_t *tree_new_state;
 #endif
 
 #endif
 
 #ifndef FCS_WITHOUT_ITER_HANDLER
-    /*
-     * The debug_iter_output variables provide a programmer programmable way
-     * to debug the algorithm while it is running. This works well for DFS
-     * and Soft-DFS scans but at present support for BeFS and BFS is not
-     * too good, as its hard to tell which state came from which parent
-     * state.
-     *
-     * debug_iter_output_func is a pointer to the function that performs the
-     * debugging. If NULL, this feature is not used.
-     *
-     * debug_iter_output_context is a user-specified context for it, that
-     * may include data that is not included in the instance structure.
-     *
-     * This feature is used by the "-s" and "-i" flags of fc-solve-debug.
-     * */
-    fcs_instance_debug_iter_output_func_t debug_iter_output_func;
-    fcs_instance_debug_iter_output_context_t debug_iter_output_context;
-#endif
-
-    /*
-     * The next ID to allocate for a soft-thread.
-     * */
-    int next_soft_thread_id;
-
-    /* This is the initial state */
-    fcs_state_keyval_pair_t state_copy;
+        /*
+         * The debug_iter_output variables provide a programmer programmable way
+         * to debug the algorithm while it is running. This works well for DFS
+         * and Soft-DFS scans but at present support for BeFS and BFS is not
+         * too good, as its hard to tell which state came from which parent
+         * state.
+         *
+         * debug_iter_output_func is a pointer to the function that performs the
+         * debugging. If NULL, this feature is not used.
+         *
+         * debug_iter_output_context is a user-specified context for it, that
+         * may include data that is not included in the instance structure.
+         *
+         * This feature is used by the "-s" and "-i" flags of fc-solve-debug.
+         * */
+        fcs_instance_debug_iter_output_func_t debug_iter_output_func;
+        fcs_instance_debug_iter_output_context_t debug_iter_output_context;
+#endif
+
+        /*
+         * The next ID to allocate for a soft-thread.
+         * */
+        int next_soft_thread_id;
+
+        /* This is the initial state */
+        fcs_state_keyval_pair_t state_copy;
 
 #ifdef FCS_WITH_MOVES
-    /* This is the final state that the scan recommends to the
-     * interface
-     * */
-    fcs_collectible_state_t *final_state;
+        /* This is the final state that the scan recommends to the
+         * interface
+         * */
+        fcs_collectible_state_t *final_state;
 
-    /*
-     * A move stack that contains the moves leading to the solution.
-     *
-     * It is created only after the solution was found by swallowing
-     * all the stacks of each depth.
-     * */
-    fcs_move_stack_t solution_moves;
+        /*
+         * A move stack that contains the moves leading to the solution.
+         *
+         * It is created only after the solution was found by swallowing
+         * all the stacks of each depth.
+         * */
+        fcs_move_stack_t solution_moves;
 #endif
 
-    /*
-     * The meta allocator - see meta_alloc.h.
-     * */
-    fcs_meta_compact_allocator_t *meta_alloc;
+        /*
+         * The meta allocator - see meta_alloc.h.
+         * */
+        fcs_meta_compact_allocator_t *meta_alloc;
 
 #if (defined(FCS_WITH_MOVES) && (!defined(FCS_DISABLE_PATSOLVE)))
-    /*
-     * The soft_thread that solved the state.
-     *
-     * Needed to trace the patsolve solutions.
-     * */
-    fc_solve_soft_thread_t *solving_soft_thread;
+        /*
+         * The soft_thread that solved the state.
+         *
+         * Needed to trace the patsolve solutions.
+         * */
+        fc_solve_soft_thread_t *solving_soft_thread;
 #endif
 #ifndef FCS_DISABLE_PATSOLVE
-    /*
-     * This is intended to be used by the patsolve scan which is
-     * sensitive to the ordering of the columns/stacks. This is an ugly hack
-     * but hopefully it will work.
-     * */
-    fcs_state_keyval_pair_t *initial_non_canonized_state;
+        /*
+         * This is intended to be used by the patsolve scan which is
+         * sensitive to the ordering of the columns/stacks. This is an ugly hack
+         * but hopefully it will work.
+         * */
+        fcs_state_keyval_pair_t *initial_non_canonized_state;
 #endif
 
 #ifndef FCS_DISABLE_SIMPLE_SIMON
-    /*
-     * Whether or not this is a Simple Simon-like game.
-     * */
-    fcs_bool_t is_simple_simon;
+        /*
+         * Whether or not this is a Simple Simon-like game.
+         * */
+        fcs_bool_t is_simple_simon;
 #endif
-};
+    };
 
 #ifdef FCS_SINGLE_HARD_THREAD
 #define HT_FIELD(ht, field) (ht)->hard_thread.field
@@ -814,134 +818,139 @@ struct fc_solve_instance_struct
 #include "pat.h"
 #endif
 
-extern fc_solve_solve_process_ret_t fc_solve_befs_or_bfs_do_solve(
-    fc_solve_soft_thread_t *const soft_thread);
+    extern fc_solve_solve_process_ret_t fc_solve_befs_or_bfs_do_solve(
+        fc_solve_soft_thread_t *const soft_thread);
 
-static inline void *memdup(const void *const src, const size_t my_size)
-{
-    void *const dest = malloc(my_size);
-    if (dest == NULL)
+    static inline void *memdup(const void *const src, const size_t my_size)
     {
-        return NULL;
-    }
+        void *const dest = malloc(my_size);
+        if (dest == NULL)
+        {
+            return NULL;
+        }
 
-    memcpy(dest, src, my_size);
+        memcpy(dest, src, my_size);
 
-    return dest;
-}
+        return dest;
+    }
 
-static inline int update_col_cards_under_sequences(
+    static inline int update_col_cards_under_sequences(
 #ifndef FCS_FREECELL_ONLY
-    const int sequences_are_built_by,
+        const int sequences_are_built_by,
 #endif
-    const fcs_const_cards_column_t col,
-    int d /* One less than cards_num of col. */
-)
-{
-    fcs_card_t this_card = fcs_col_get_card(col, d);
-    fcs_card_t prev_card;
-    for (; (d > 0) && ({
-             prev_card = fcs_col_get_card(col, d - 1);
-             fcs_is_parent_card(this_card, prev_card);
-         });
-         d--, this_card = prev_card)
+        const fcs_const_cards_column_t col,
+        int d /* One less than cards_num of col. */
+    )
     {
+        fcs_card_t this_card = fcs_col_get_card(col, d);
+        fcs_card_t prev_card;
+        for (; (d > 0) && ({
+                 prev_card = fcs_col_get_card(col, d - 1);
+                 fcs_is_parent_card(this_card, prev_card);
+             });
+             d--, this_card = prev_card)
+        {
+        }
+        return d;
     }
-    return d;
-}
 
-extern fcs_collectible_state_t *fc_solve_sfs_raymond_prune(
-    fc_solve_soft_thread_t *, fcs_kv_state_t);
+    extern fcs_collectible_state_t *fc_solve_sfs_raymond_prune(
+        fc_solve_soft_thread_t *, fcs_kv_state_t);
 
 #ifdef FCS_RCS_STATES
-fcs_state_t *fc_solve_lookup_state_key_from_val(fc_solve_instance_t *instance,
-    const fcs_collectible_state_t *orig_ptr_state_val);
+    fcs_state_t *fc_solve_lookup_state_key_from_val(
+        fc_solve_instance_t *instance,
+        const fcs_collectible_state_t *orig_ptr_state_val);
 
-extern int fc_solve_compare_lru_cache_keys(const void *, const void *, void *);
+    extern int fc_solve_compare_lru_cache_keys(
+        const void *, const void *, void *);
 
 #endif
 
-extern void fc_solve_soft_thread_init_befs_or_bfs(
-    fc_solve_soft_thread_t *const soft_thread);
+    extern void fc_solve_soft_thread_init_befs_or_bfs(
+        fc_solve_soft_thread_t *const soft_thread);
 
-extern void fc_solve_instance__init_hard_thread(
+    extern void fc_solve_instance__init_hard_thread(
 #ifndef FCS_SINGLE_HARD_THREAD
-    fc_solve_instance_t *const instance,
+        fc_solve_instance_t *const instance,
 #endif
-    fc_solve_hard_thread_t *const hard_thread);
-
-extern void fc_solve_free_soft_thread_by_depth_move_array(
-    fc_solve_soft_thread_t *const soft_thread);
+        fc_solve_hard_thread_t *const hard_thread);
 
-static inline fcs_moves_order moves_order_dup(fcs_moves_order *const orig)
-{
-    const_SLOT(num, orig);
-    fcs_moves_order ret = (fcs_moves_order){.num = num,
-        .groups = memdup(orig->groups,
-            sizeof(orig->groups[0]) *
-                ((num & (~(MOVES_GROW_BY - 1))) + MOVES_GROW_BY))};
+    extern void fc_solve_free_soft_thread_by_depth_move_array(
+        fc_solve_soft_thread_t *const soft_thread);
 
-    for (size_t i = 0; i < num; ++i)
+    static inline fcs_moves_order moves_order_dup(fcs_moves_order *const orig)
     {
-        ret.groups[i].move_funcs = memdup(ret.groups[i].move_funcs,
-            sizeof(ret.groups[i].move_funcs[0]) *
-                ((ret.groups[i].num & (~(MOVES_GROW_BY - 1))) + MOVES_GROW_BY));
-    }
+        const_SLOT(num, orig);
+        fcs_moves_order ret = (fcs_moves_order){.num = num,
+            .groups = memdup(orig->groups,
+                sizeof(orig->groups[0]) *
+                    ((num & (~(MOVES_GROW_BY - 1))) + MOVES_GROW_BY))};
 
-    return ret;
-}
+        for (size_t i = 0; i < num; ++i)
+        {
+            ret.groups[i].move_funcs = memdup(ret.groups[i].move_funcs,
+                sizeof(ret.groups[i].move_funcs[0]) *
+                    ((ret.groups[i].num & (~(MOVES_GROW_BY - 1))) +
+                        MOVES_GROW_BY));
+        }
+
+        return ret;
+    }
 
-extern fc_solve_soft_thread_t *fc_solve_new_soft_thread(
-    fc_solve_hard_thread_t *const hard_thread);
+    extern fc_solve_soft_thread_t *fc_solve_new_soft_thread(
+        fc_solve_hard_thread_t *const hard_thread);
 
-/* This is the commmon code from fc_solve_instance__init_hard_thread() and
- * recycle_hard_thread() */
-static inline void fc_solve_reset_hard_thread(
-    fc_solve_hard_thread_t *const hard_thread)
-{
+    /* This is the commmon code from fc_solve_instance__init_hard_thread() and
+     * recycle_hard_thread() */
+    static inline void fc_solve_reset_hard_thread(
+        fc_solve_hard_thread_t *const hard_thread)
+    {
 #ifndef FCS_SINGLE_HARD_THREAD
-    HT_FIELD(hard_thread, ht__num_checked_states) = 0;
+        HT_FIELD(hard_thread, ht__num_checked_states) = 0;
 #endif
-    HT_FIELD(hard_thread, ht__max_num_checked_states) = FCS_INT_LIMIT_MAX;
-    HT_FIELD(hard_thread, num_soft_threads_finished) = 0;
-}
+        HT_FIELD(hard_thread, ht__max_num_checked_states) = FCS_INT_LIMIT_MAX;
+        HT_FIELD(hard_thread, num_soft_threads_finished) = 0;
+    }
 
-static inline void fc_solve_reset_soft_thread(
-    fc_solve_soft_thread_t *const soft_thread)
-{
-    STRUCT_CLEAR_FLAG(soft_thread, FCS_SOFT_THREAD_IS_FINISHED);
-    STRUCT_CLEAR_FLAG(soft_thread, FCS_SOFT_THREAD_INITIALIZED);
-}
+    static inline void fc_solve_reset_soft_thread(
+        fc_solve_soft_thread_t *const soft_thread)
+    {
+        STRUCT_CLEAR_FLAG(soft_thread, FCS_SOFT_THREAD_IS_FINISHED);
+        STRUCT_CLEAR_FLAG(soft_thread, FCS_SOFT_THREAD_INITIALIZED);
+    }
 
-typedef enum {
-    FOREACH_SOFT_THREAD_CLEAN_SOFT_DFS,
-    FOREACH_SOFT_THREAD_FREE_INSTANCE,
-    FOREACH_SOFT_THREAD_ACCUM_TESTS_ORDER,
-    FOREACH_SOFT_THREAD_DETERMINE_SCAN_COMPLETENESS
-} fcs_foreach_st_callback_choice_t;
+    typedef enum
+    {
+        FOREACH_SOFT_THREAD_CLEAN_SOFT_DFS,
+        FOREACH_SOFT_THREAD_FREE_INSTANCE,
+        FOREACH_SOFT_THREAD_ACCUM_TESTS_ORDER,
+        FOREACH_SOFT_THREAD_DETERMINE_SCAN_COMPLETENESS
+    } fcs_foreach_st_callback_choice_t;
 
-extern void fc_solve_foreach_soft_thread(fc_solve_instance_t *const instance,
-    const fcs_foreach_st_callback_choice_t callback_choice,
-    void *const context);
+    extern void fc_solve_foreach_soft_thread(
+        fc_solve_instance_t *const instance,
+        const fcs_foreach_st_callback_choice_t callback_choice,
+        void *const context);
 
-/*
-    This function is the last function that should be called in the
-    sequence of operations on instance, and it is meant for de-allocating
-    whatever memory was allocated by alloc_instance().
-  */
+    /*
+        This function is the last function that should be called in the
+        sequence of operations on instance, and it is meant for de-allocating
+        whatever memory was allocated by alloc_instance().
+      */
 
-static inline void moves_order__free(fcs_moves_order *moves_order)
-{
-    const_SLOT(groups, moves_order);
-    const_SLOT(num, moves_order);
-    for (size_t group_idx = 0; group_idx < num; ++group_idx)
+    static inline void moves_order__free(fcs_moves_order *moves_order)
     {
-        free(groups[group_idx].move_funcs);
+        const_SLOT(groups, moves_order);
+        const_SLOT(num, moves_order);
+        for (size_t group_idx = 0; group_idx < num; ++group_idx)
+        {
+            free(groups[group_idx].move_funcs);
+        }
+        free(groups);
+        moves_order->groups = NULL;
+        moves_order->num = 0;
     }
-    free(groups);
-    moves_order->groups = NULL;
-    moves_order->num = 0;
-}
 
     /***********************************************************/
 
@@ -951,22 +960,23 @@ static inline void moves_order__free(fcs_moves_order *moves_order)
         fcs_derived_states_list_t *const derived_states_list)
 
 #ifdef FCS_SINGLE_HARD_THREAD
-extern void fc_solve_init_soft_thread(fc_solve_hard_thread_t *const hard_thread,
-    fc_solve_soft_thread_t *const soft_thread);
+    extern void fc_solve_init_soft_thread(
+        fc_solve_hard_thread_t *const hard_thread,
+        fc_solve_soft_thread_t *const soft_thread);
 #endif
 
 #ifndef FCS_HARD_CODE_CALC_REAL_DEPTH_AS_FALSE
-static inline fcs_bool_t fcs_get_calc_real_depth(
-    const fc_solve_instance_t *const instance)
-{
-    return STRUCT_QUERY_FLAG(instance, FCS_RUNTIME_CALC_REAL_DEPTH);
-}
+    static inline fcs_bool_t fcs_get_calc_real_depth(
+        const fc_solve_instance_t *const instance)
+    {
+        return STRUCT_QUERY_FLAG(instance, FCS_RUNTIME_CALC_REAL_DEPTH);
+    }
 #endif
 
 #ifdef FCS_WITH_MOVES
-extern void fc_solve_trace_solution(fc_solve_instance_t *const instance);
+    extern void fc_solve_trace_solution(fc_solve_instance_t *const instance);
 #endif
-extern void fc_solve_finish_instance(fc_solve_instance_t *const instance);
+    extern void fc_solve_finish_instance(fc_solve_instance_t *const instance);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/instance_for_lib.h b/fc-solve/source/instance_for_lib.h
index ce1845311..623473ec3 100644
--- a/fc-solve/source/instance_for_lib.h
+++ b/fc-solve/source/instance_for_lib.h
@@ -14,78 +14,79 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 #include "scans_impl.h"
 #include "preset.h"
 #include "move_funcs_order.h"
 
-static inline void fcs_free_moves_list(
-    fc_solve_soft_thread_t *const soft_thread)
-{
-    /* Free the BeFS data. */
-    free(BEFS_M_VAR(soft_thread, moves_list));
-    BEFS_M_VAR(soft_thread, moves_list) = NULL;
-
-    /* Free the DFS data. */
-    fcs_moves_by_depth_array *const arr =
-        &(DFS_VAR(soft_thread, moves_by_depth));
-    const_SLOT(num_units, arr);
-    for (size_t unit_idx = 0; unit_idx < num_units; unit_idx++)
+    static inline void fcs_free_moves_list(
+        fc_solve_soft_thread_t *const soft_thread)
     {
-        if (arr->by_depth_units[unit_idx].move_funcs.groups)
-        {
-            fcs_moves_group *const groups =
-                arr->by_depth_units[unit_idx].move_funcs.groups;
-            const_AUTO(num, arr->by_depth_units[unit_idx].move_funcs.num);
+        /* Free the BeFS data. */
+        free(BEFS_M_VAR(soft_thread, moves_list));
+        BEFS_M_VAR(soft_thread, moves_list) = NULL;
 
-            for (typeof(arr->by_depth_units[unit_idx].move_funcs.num) i = 0;
-                 i < num; i++)
+        /* Free the DFS data. */
+        fcs_moves_by_depth_array *const arr =
+            &(DFS_VAR(soft_thread, moves_by_depth));
+        const_SLOT(num_units, arr);
+        for (size_t unit_idx = 0; unit_idx < num_units; unit_idx++)
+        {
+            if (arr->by_depth_units[unit_idx].move_funcs.groups)
             {
-                free(groups[i].move_funcs);
+                fcs_moves_group *const groups =
+                    arr->by_depth_units[unit_idx].move_funcs.groups;
+                const_AUTO(num, arr->by_depth_units[unit_idx].move_funcs.num);
+
+                for (typeof(arr->by_depth_units[unit_idx].move_funcs.num) i = 0;
+                     i < num; i++)
+                {
+                    free(groups[i].move_funcs);
+                }
+                free(groups);
             }
-            free(groups);
         }
+        free(arr->by_depth_units);
+        arr->by_depth_units = NULL;
     }
-    free(arr->by_depth_units);
-    arr->by_depth_units = NULL;
-}
 
 #ifdef FCS_WITH_MOVES
-static inline void instance_free_solution_moves(
-    fc_solve_instance_t *const instance)
-{
-    if (instance->solution_moves.moves)
+    static inline void instance_free_solution_moves(
+        fc_solve_instance_t *const instance)
     {
-        fcs_move_stack_static_destroy(instance->solution_moves);
-        instance->solution_moves.moves = NULL;
+        if (instance->solution_moves.moves)
+        {
+            fcs_move_stack_static_destroy(instance->solution_moves);
+            instance->solution_moves.moves = NULL;
+        }
     }
-}
 #endif
 
-static inline void st_free_pq(fc_solve_soft_thread_t *const soft_thread)
-{
-    fc_solve_PQueueFree(&(BEFS_VAR(soft_thread, pqueue)));
-}
+    static inline void st_free_pq(fc_solve_soft_thread_t *const soft_thread)
+    {
+        fc_solve_PQueueFree(&(BEFS_VAR(soft_thread, pqueue)));
+    }
 
-static inline void fc_solve_free_instance_soft_thread_callback(
-    fc_solve_soft_thread_t *const soft_thread)
-{
-    st_free_pq(soft_thread);
-    fcs_free_moves_list(soft_thread);
-    fc_solve_free_soft_thread_by_depth_move_array(soft_thread);
+    static inline void fc_solve_free_instance_soft_thread_callback(
+        fc_solve_soft_thread_t *const soft_thread)
+    {
+        st_free_pq(soft_thread);
+        fcs_free_moves_list(soft_thread);
+        fc_solve_free_soft_thread_by_depth_move_array(soft_thread);
 #ifndef FCS_DISABLE_PATSOLVE
-    const_SLOT(pats_scan, soft_thread);
+        const_SLOT(pats_scan, soft_thread);
 
-    if (pats_scan)
-    {
-        fc_solve_pats__recycle_soft_thread(pats_scan);
-        fc_solve_pats__destroy_soft_thread(pats_scan);
-        free(pats_scan);
-        soft_thread->pats_scan = NULL;
-    }
+        if (pats_scan)
+        {
+            fc_solve_pats__recycle_soft_thread(pats_scan);
+            fc_solve_pats__destroy_soft_thread(pats_scan);
+            free(pats_scan);
+            soft_thread->pats_scan = NULL;
+        }
 #endif
-}
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/internal_move_struct.h b/fc-solve/source/internal_move_struct.h
index 3353ca95d..bb0efa140 100644
--- a/fc-solve/source/internal_move_struct.h
+++ b/fc-solve/source/internal_move_struct.h
@@ -13,7 +13,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "config.h"
@@ -23,15 +24,15 @@ extern "C" {
 #include "fcs_move.h"
 
 #ifdef FCS_USE_COMPACT_MOVE_TOKENS
-typedef struct
-{
-    unsigned int type : 4;
-    unsigned int src : 4;
-    unsigned int dest : 4;
-    unsigned int num_cards_in_seq : 4;
-} fcs_internal_move_t;
+    typedef struct
+    {
+        unsigned int type : 4;
+        unsigned int src : 4;
+        unsigned int dest : 4;
+        unsigned int num_cards_in_seq : 4;
+    } fcs_internal_move_t;
 #else
-typedef fcs_move_t fcs_internal_move_t;
+    typedef fcs_move_t fcs_internal_move_t;
 #endif
 
 #ifdef FCS_USE_COMPACT_MOVE_TOKENS
@@ -66,11 +67,11 @@ typedef fcs_move_t fcs_internal_move_t;
 
 #endif
 
-typedef struct
-{
-    fcs_internal_move_t *moves;
-    size_t num_moves;
-} fcs_move_stack_t;
+    typedef struct
+    {
+        fcs_internal_move_t *moves;
+        size_t num_moves;
+    } fcs_move_stack_t;
 
 #endif
 
diff --git a/fc-solve/source/kaz_tree.h b/fc-solve/source/kaz_tree.h
index 2ea0adc8d..907758546 100644
--- a/fc-solve/source/kaz_tree.h
+++ b/fc-solve/source/kaz_tree.h
@@ -39,25 +39,30 @@
  */
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-typedef unsigned long dictcount_t;
+    typedef unsigned long dictcount_t;
 #define DICTCOUNT_T_MAX ULONG_MAX
 
-/*
- * The dictionary is implemented as a red-black tree
- */
+    /*
+     * The dictionary is implemented as a red-black tree
+     */
 
-typedef enum { dnode_red, dnode_black } dnode_color_t;
+    typedef enum
+    {
+        dnode_red,
+        dnode_black
+    } dnode_color_t;
 
 /*
  * This is set by dbm_kaztree.c to conserve space when used in the delta-states
  * nodes.
  */
 #ifdef FCS_KAZ_TREE_USE_RECORD_DICT_KEY
-typedef fcs_dbm_record_t dict_key_t;
-typedef dict_key_t *dict_ret_key_t;
+    typedef fcs_dbm_record_t dict_key_t;
+    typedef dict_key_t *dict_ret_key_t;
 #else
 typedef void *dict_key_t;
 typedef dict_key_t dict_ret_key_t;
@@ -65,69 +70,69 @@ typedef dict_key_t dict_ret_key_t;
 
 #define DNODE_NEXT(node) ((node)->dict_left)
 
-typedef struct dnode_t
-{
+    typedef struct dnode_t
+    {
 #if defined(DICT_IMPLEMENTATION) || !defined(KAZLIB_OPAQUE_DEBUG)
-    struct dnode_t *dict_left;
-    struct dnode_t *dict_right;
-    struct dnode_t *dict_parent;
-    dnode_color_t dict_color;
-    dict_key_t dict_key;
+        struct dnode_t *dict_left;
+        struct dnode_t *dict_right;
+        struct dnode_t *dict_parent;
+        dnode_color_t dict_color;
+        dict_key_t dict_key;
 #ifdef NO_FC_SOLVE
-    void *dict_data;
+        void *dict_data;
 #endif
 #else
     int dict_dummy;
 #endif
-} dnode_t;
+    } dnode_t;
 
-typedef int (*dict_comp_t)(const void *, const void *, void *);
+    typedef int (*dict_comp_t)(const void *, const void *, void *);
 /* Removed from fc-solve */
 #if 0
 typedef dnode_t *(*dnode_alloc_t)(void *);
 typedef void (*dnode_free_t)(dnode_t *, void *);
 #endif
 
-typedef struct dict_t
-{
+    typedef struct dict_t
+    {
 #if defined(DICT_IMPLEMENTATION) || !defined(KAZLIB_OPAQUE_DEBUG)
-    dnode_t dict_nilnode;
+        dnode_t dict_nilnode;
 #ifdef NO_FC_SOLVE
-    dictcount_t dict_nodecount;
-    dictcount_t dict_maxcount;
+        dictcount_t dict_nodecount;
+        dictcount_t dict_maxcount;
 #endif
-    dict_comp_t dict_compare;
+        dict_comp_t dict_compare;
 /* Removed from fc-solve */
 #if 0
     dnode_alloc_t dict_allocnode;
     dnode_free_t dict_free_node;
 #else
-    fcs_compact_allocator_t dict_allocator;
-    dnode_t *dict_recycle_bin;
+        fcs_compact_allocator_t dict_allocator;
+        dnode_t *dict_recycle_bin;
 #endif
-    void *dict_context;
+        void *dict_context;
 #ifdef NO_FC_SOLVE
-    int dict_dupes;
+        int dict_dupes;
 #endif
 #else
     int dict_dummy;
 #endif
-} dict_t;
+    } dict_t;
 
-typedef void (*dnode_process_t)(dict_t *, dnode_t *, void *);
+    typedef void (*dnode_process_t)(dict_t *, dnode_t *, void *);
 
-typedef struct dict_load_t
-{
+    typedef struct dict_load_t
+    {
 #if defined(DICT_IMPLEMENTATION) || !defined(KAZLIB_OPAQUE_DEBUG)
-    dict_t *dict_dictptr;
-    dnode_t dict_nilnode;
+        dict_t *dict_dictptr;
+        dnode_t dict_nilnode;
 #else
     int dict_dummy;
 #endif
-} dict_load_t;
+    } dict_load_t;
 
 #ifdef NO_FC_SOLVE
-extern dict_t *dict_create(dictcount_t, dict_comp_t, void *);
+    extern dict_t *dict_create(dictcount_t, dict_comp_t, void *);
 #else
 extern dict_t *fc_solve_kaz_tree_create(
     dict_comp_t, void *, fcs_meta_compact_allocator_t *);
@@ -135,64 +140,65 @@ extern dict_t *fc_solve_kaz_tree_create(
 #if 0
 extern void dict_set_allocator(dict_t *, dnode_alloc_t, dnode_free_t, void *);
 #endif
-extern void fc_solve_kaz_tree_destroy(dict_t *);
-extern void fc_solve_kaz_tree_free_nodes(dict_t *);
+    extern void fc_solve_kaz_tree_destroy(dict_t *);
+    extern void fc_solve_kaz_tree_free_nodes(dict_t *);
 #ifdef NO_FC_SOLVE
-extern void dict_free(dict_t *);
-extern dict_t *dict_init(dict_t *, dictcount_t, dict_comp_t);
+    extern void dict_free(dict_t *);
+    extern dict_t *dict_init(dict_t *, dictcount_t, dict_comp_t);
 #else
 extern dict_t *dict_init(dict_t *, dict_comp_t, fcs_meta_compact_allocator_t *);
 #endif
 #ifdef NO_FC_SOLVE
-extern void dict_init_like(dict_t *, const dict_t *);
-extern dict_t *dict_init_alloc(
-    dict_t *, dictcount_t, dict_comp_t, dnode_alloc_t, dnode_free_t, void *);
+    extern void dict_init_like(dict_t *, const dict_t *);
+    extern dict_t *dict_init_alloc(dict_t *, dictcount_t, dict_comp_t,
+        dnode_alloc_t, dnode_free_t, void *);
 #endif
 #ifdef NO_FC_SOLVE
-extern int dict_verify(dict_t *);
-extern int dict_similar(const dict_t *, const dict_t *);
-extern dnode_t *dict_lower_bound(dict_t *, const void *);
-extern dnode_t *dict_upper_bound(dict_t *, const void *);
-extern dnode_t *dict_strict_lower_bound(dict_t *, const void *);
-extern dnode_t *dict_strict_upper_bound(dict_t *, const void *);
-#endif
-extern dict_ret_key_t fc_solve_kaz_tree_insert(dict_t *, dnode_t *, dict_key_t);
+    extern int dict_verify(dict_t *);
+    extern int dict_similar(const dict_t *, const dict_t *);
+    extern dnode_t *dict_lower_bound(dict_t *, const void *);
+    extern dnode_t *dict_upper_bound(dict_t *, const void *);
+    extern dnode_t *dict_strict_lower_bound(dict_t *, const void *);
+    extern dnode_t *dict_strict_upper_bound(dict_t *, const void *);
+#endif
+    extern dict_ret_key_t fc_solve_kaz_tree_insert(
+        dict_t *, dnode_t *, dict_key_t);
 #ifdef NO_FC_SOLVE
-extern dnode_t *fc_solve_kaz_tree_delete(dict_t *, dnode_t *);
+    extern dnode_t *fc_solve_kaz_tree_delete(dict_t *, dnode_t *);
 #endif
-extern dict_ret_key_t fc_solve_kaz_tree_alloc_insert(dict_t *, dict_key_t);
-extern void fc_solve_kaz_tree_delete_free(dict_t *, dnode_t *);
-extern dnode_t *fc_solve_kaz_tree_lookup(dict_t *, dict_key_t);
-dict_key_t fc_solve_kaz_tree_lookup_value(dict_t *dict, dict_key_t key);
+    extern dict_ret_key_t fc_solve_kaz_tree_alloc_insert(dict_t *, dict_key_t);
+    extern void fc_solve_kaz_tree_delete_free(dict_t *, dnode_t *);
+    extern dnode_t *fc_solve_kaz_tree_lookup(dict_t *, dict_key_t);
+    dict_key_t fc_solve_kaz_tree_lookup_value(dict_t *dict, dict_key_t key);
 
-extern dnode_t *fc_solve_kaz_tree_first(dict_t *);
-extern dnode_t *fc_solve_kaz_tree_next(dict_t *, dnode_t *);
+    extern dnode_t *fc_solve_kaz_tree_first(dict_t *);
+    extern dnode_t *fc_solve_kaz_tree_next(dict_t *, dnode_t *);
 #ifdef NO_FC_SOLVE
-extern dnode_t *dict_last(dict_t *);
-extern dnode_t *dict_prev(dict_t *, dnode_t *);
-extern dictcount_t dict_count(dict_t *);
-extern int dict_isempty(dict_t *);
-extern int dict_isfull(dict_t *);
-extern int dict_contains(dict_t *, dnode_t *);
+    extern dnode_t *dict_last(dict_t *);
+    extern dnode_t *dict_prev(dict_t *, dnode_t *);
+    extern dictcount_t dict_count(dict_t *);
+    extern int dict_isempty(dict_t *);
+    extern int dict_isfull(dict_t *);
+    extern int dict_contains(dict_t *, dnode_t *);
 #endif
 #ifdef NO_FC_SOLVE
-extern void dict_allow_dupes(dict_t *);
+    extern void dict_allow_dupes(dict_t *);
 #endif
 #ifdef NO_FC_SOLVE
-extern int dnode_is_in_a_dict(dnode_t *);
-extern dnode_t *dnode_create(void *);
-extern dnode_t *dnode_init(dnode_t *, void *);
-extern void dnode_destroy(dnode_t *);
-extern void *dnode_get(dnode_t *);
-extern dict_key_t *dnode_getkey(dnode_t *);
-extern void dnode_put(dnode_t *, void *);
+    extern int dnode_is_in_a_dict(dnode_t *);
+    extern dnode_t *dnode_create(void *);
+    extern dnode_t *dnode_init(dnode_t *, void *);
+    extern void dnode_destroy(dnode_t *);
+    extern void *dnode_get(dnode_t *);
+    extern dict_key_t *dnode_getkey(dnode_t *);
+    extern void dnode_put(dnode_t *, void *);
 #endif
 #ifdef NO_FC_SOLVE
-extern void dict_process(dict_t *, void *, dnode_process_t);
-extern void dict_load_begin(dict_load_t *, dict_t *);
-extern void dict_load_next(dict_load_t *, dnode_t *, const void *);
-extern void dict_load_end(dict_load_t *);
-extern void dict_merge(dict_t *, dict_t *);
+    extern void dict_process(dict_t *, void *, dnode_process_t);
+    extern void dict_load_begin(dict_load_t *, dict_t *);
+    extern void dict_load_next(dict_load_t *, dnode_t *, const void *);
+    extern void dict_load_end(dict_load_t *);
+    extern void dict_merge(dict_t *, dict_t *);
 #endif
 
 #if defined(DICT_IMPLEMENTATION) || !defined(KAZLIB_OPAQUE_DEBUG)
diff --git a/fc-solve/source/lib.c b/fc-solve/source/lib.c
index 65636da68..5780f2b51 100644
--- a/fc-solve/source/lib.c
+++ b/fc-solve/source/lib.c
@@ -1923,14 +1923,16 @@ typedef struct
 } fcs_flare_item_t;
 
 #ifdef FCS_WITH_FLARES
-typedef enum {
+typedef enum
+{
     FLARES_PLAN_RUN_INDEFINITELY,
     FLARES_PLAN_RUN_COUNT_ITERS,
     FLARES_PLAN_CHECKPOINT,
 } flares_plan_type_t;
 
 #ifndef FCS_WITHOUT_FC_PRO_MOVES_COUNT
-typedef enum {
+typedef enum
+{
     FLARES_CHOICE_FC_SOLVE_SOLUTION_LEN,
     FLARES_CHOICE_FCPRO_SOLUTION_LEN
 } flares_choice_type_t;
@@ -2528,7 +2530,8 @@ int DLLEXPORT freecell_solver_user_set_tests_order(void *api_instance,
 }
 #endif
 
-typedef enum {
+typedef enum
+{
     FCS_COMPILE_FLARES_RET_OK = 0,
     FCS_COMPILE_FLARES_RET_COLON_NOT_FOUND,
     FCS_COMPILE_FLARES_RET_RUN_AT_SIGN_NOT_FOUND,
